GroovyDoc (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyDoc

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `rawCommentText`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `commentText()`
    `` | `String` | `firstSentenceCommentText()`
    `` | `String` | `getRawCommentText()`
    `` | `boolean` | `isAnnotationType()`
    `` | `boolean` | `isAnnotationTypeElement()`
    `` | `boolean` | `isClass()`
    `` | `boolean` | `isConstructor()`
    `` | `boolean` | `isDeprecated()`
    `` | `boolean` | `isEnum()`
    `` | `boolean` | `isEnumConstant()`
    `` | `boolean` | `isError()`
    `` | `boolean` | `isException()`
    `` | `boolean` | `isField()`
    `` | `boolean` | `isIncluded()`
    `` | `boolean` | `isInterface()`
    `` | `boolean` | `isMethod()`
    `` | `boolean` | `isOrdinaryClass()`
    `` | `String` | `name()`
    `` | `void` | `setRawCommentText(String arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Comparable` | `compareTo`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String rawCommentText

  - ### Method Detail

    - #### public String commentText()

    - #### public String firstSentenceCommentText()

    - #### public String getRawCommentText()

    - #### public boolean isAnnotationType()

    - #### public boolean isAnnotationTypeElement()

    - #### public boolean isClass()

    - #### public boolean isConstructor()

    - #### public boolean isDeprecated()

    - #### public boolean isEnum()

    - #### public boolean isEnumConstant()

    - #### public boolean isError()

    - #### public boolean isException()

    - #### public boolean isField()

    - #### public boolean isIncluded()

    - #### public boolean isInterface()

    - #### public boolean isMethod()

    - #### public boolean isOrdinaryClass()

    - #### public String name()

    - #### public void setRawCommentText(String arg0)